| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Defines | Typedefs | Functions
IxDataMember.h File Reference
QxDataMember : QxOrm library data member (or property) used by introspection engine

Common interface for all class properties registered into QxOrm context. More...

`#include <QtSql/qsqlquery.h>`
`#include <QtCore/qjsonvalue.h>`
`#include <QxCommon/QxAny.h>`
`#include <QxCommon/QxBool.h>`
`#include <QxCommon/QxPropertyBag.h>`
`#include <QxSerialize/boost/QxSerializeInclude.h>`
`#include <QxConvert/QxConvert.h>`

Go to the source code of this file.

## Classes
class | qx::IxDataMember
| qx::IxDataMember : common interface for all class properties registered into QxOrm context More...
struct | qx::IxDataMember::qxCannotAccessDataPointer< T, dummy >
struct | qx::IxDataMember::qxCannotAccessDataPointer< QVariant, dummy >
struct | qx::IxDataMember::qxCannotAccessDataPointer< QString, dummy >
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
## Defines
#define | QX_IX_DATA_MEMBER_PURE_VIRTUAL_ARCHIVE(ArchiveInput, ArchiveOutput)
## Typedefs
typedef std::shared_ptr < IxDataMember > | qx::IxDataMember_ptr
## Functions
QX_DLL_EXPORT_INLINE_FCT bool | operator< (const qx::IxDataMember &i1, const qx::IxDataMember &i2)
QX_DLL_EXPORT_INLINE_FCT bool | operator> (const qx::IxDataMember &i1, const qx::IxDataMember &i2)

## Detailed Description

Common interface for all class properties registered into QxOrm context.

Author:
  Lionel Marty

Definition in file IxDataMember.h.

## Define Documentation

#define QX_IX_DATA_MEMBER_PURE_VIRTUAL_ARCHIVE | ( |  | ArchiveInput,
|  |  | ArchiveOutput
| ) |  |

Value:

    virtual void toArchive(const void * pOwner, ArchiveOutput & ar) const = 0; \
    virtual void fromArchive(void * pOwner, ArchiveInput & ar) = 0;

Definition at line 69 of file IxDataMember.h.

## Function Documentation

QX_DLL_EXPORT_INLINE_FCT bool operator< | ( | const qx::IxDataMember & | i1,
|  | const qx::IxDataMember & | i2
| ) |  |

QX_DLL_EXPORT_INLINE_FCT bool operator> | ( | const qx::IxDataMember & | i1,
|  | const qx::IxDataMember & | i2
| ) |  |